package com.qmth.teachcloud.report.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.report.business.bean.result.ExamRecordResult;
import com.qmth.teachcloud.report.business.entity.TAExamCourseRecord;

import java.util.List;

/**
 * <p>
 * 参考课程考生成绩维度表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TAExamCourseRecordService extends IService<TAExamCourseRecord> {

    /**
     * 查询考生信息
     *
     * @param examId
     * @param courseCode
     * @return
     */
    List<ExamRecordResult> findExamRecordByExamIdAndCourseCode(Long examId, String courseCode);
}
