package com.qmth.teachcloud.report.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.report.business.bean.result.CourseDimensionResult;
import com.qmth.teachcloud.report.business.entity.TBDimension;

import java.util.List;

/**
 * <p>
 * 考察点维度基础表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TBDimensionService extends IService<TBDimension> {

    /**
     * 查找维度信息
     *
     * @param examId
     * @param courseCode
     * @param collegeId
     * @return
     */
    List<CourseDimensionResult> findDimensionInfo(Long examId, String courseCode, Long collegeId);
}
