package com.qmth.teachcloud.report.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.report.business.entity.TBModuleConfig;
import com.qmth.teachcloud.report.business.mapper.TBModuleConfigMapper;
import com.qmth.teachcloud.report.business.service.TBModuleConfigService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 考察点模块配置表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
@Service
public class TBModuleConfigServiceImpl extends ServiceImpl<TBModuleConfigMapper, TBModuleConfig> implements TBModuleConfigService {
    @Resource
    private TBModuleConfigMapper tbModuleConfigMapper;

    @Override
    public List<TBModuleConfig> findDistinctModuleInfoByExamIdAndCourseCode(Long examId, String courseCode) {
        return tbModuleConfigMapper.findDistinctModuleInfoByExamIdAndCourseCode(examId, courseCode);
    }
}
