package com.qmth.teachcloud.report.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.report.business.entity.TAExamCourseCollegeInspectDio;

/**
 * <p>
 * 参考课程考察学院各考察点维度表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TAExamCourseCollegeInspectDioService extends IService<TAExamCourseCollegeInspectDio> {
    /**
     * 根据考试编号和课程编号和‘t_a_exam_course_record_dio’表向‘t_a_exam_course_college_inspect_dio’表插入数据
     * @param examId 考试id
     * @param courseCode 课程编号
     */
    void insertByTAExamCourseRecordDio(Long examId,String courseCode);
}
